Std MergeProjects/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "* Нажмите {{KEY|Esc}} или кнопку {{Button|Отмена}}, чтобы прервать выполнение команды.")
(Updating to match new version of source page)
 
(14 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav/ru
|[[Std_Export|Export]]
|[[Std_Export/ru|Команда "Экспортировать..."]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_ProjectInfo/ru|Команда "Информация о проекте..."]]
|[[Std_File_Menu|Std File Menu]]
|[[Std_File_Menu/ru|Меню "Файл"]]
|IconL=Std_Export.svg
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconR=Std_ProjectInfo.svg
Line 19: Line 20:
</div>
</div>


==Description==
<span id="Description"></span>
==Описание==


Команда "Объединить проект..." добавляет содержимое FreeCAD файла в текущий документ.
The '''Std MergeProjects''' command adds the contents of a FreeCAD file into the active document.


==Usage==
<span id="Usage"></span>
==Применение==


# Select the {{MenuCommand|File → [[Image:Std_MergeProjects.svg|16px]] Merge project...}} option from the menu.
# Select the {{MenuCommand|File → [[Image:Std_MergeProjects.svg|16px]] Merge project...}} option from the menu.
Line 29: Line 32:
# Press the {{Button|Open}} button.
# Press the {{Button|Open}} button.


==Options==
<span id="Options"></span>
==Опции==


* Нажмите {{KEY|Esc}} или кнопку {{Button|Отмена}}, чтобы прервать выполнение команды.
* Нажмите {{KEY|Esc}} или кнопку {{Button|Отмена}}, чтобы отменить выполнение команды.


==Notes==
<span id="Notes"></span>
==Примечания==


* A project cannot be merged with itself, selecting the current file is not allowed.
* A project cannot be merged with itself, selecting the current file is not allowed.
* FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.
* FreeCAD will automatically change the internal names and, depending on the [[Preferences_Editor#Document|preferences]], labels of objects to avoid name conflicts.


==Preferences==
==Scripting==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
* The last used file location is stored: {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → General → FileOpenSavePath}}.

* Duplicate labels are allowed if {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → DuplicateLabels}} is set to {{TRUE}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
To merge a project use the {{Incode|mergeProject}} method of the document object.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")
}}




{{Docnav
{{Docnav/ru
|[[Std_Export|Export]]
|[[Std_Export/ru|Команда "Экспортировать..."]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_ProjectInfo/ru|Команда "Информация о проекте..."]]
|[[Std_File_Menu|Std File Menu]]
|[[Std_File_Menu/ru|Меню "Файл"]]
|IconL=Std_Export.svg
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconR=Std_ProjectInfo.svg
Line 53: Line 65:
}}
}}


{{Std Base navi{{#translation:}}}}
{{Std_Base_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 11:50, 21 April 2024

Std MergeProjects

Системное название
Std MergeProjects
Расположение в меню
Файл → Объединить проект
Верстаки
All
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Описание

Команда "Объединить проект..." добавляет содержимое FreeCAD файла в текущий документ.

Применение

  1. Select the File → Merge project... option from the menu.
  2. Select a FreeCAD file in the dialog box.
  3. Press the Open button.

Опции

  • Нажмите Esc или кнопку Отмена, чтобы отменить выполнение команды.

Примечания

  • A project cannot be merged with itself, selecting the current file is not allowed.
  • FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

Scripting

See also: FreeCAD Scripting Basics.

To merge a project use the mergeProject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")